# Get a docs page

### Get a docs page

`GET /api/v1/docs/{pageId}`

Operation ID: `getDocsPage`

Returns one page of the Needle documentation as markdown: the introduction, authentication, the changelog, or a concept such as leads, campaigns, webhooks, or attio.

**Path parameters**

- `pageId` (string, required): The last part of a docs page URL, for example `attio` for https://needle.app/docs/attio.

**200**: The docs page.

- `markdown` (string, required): The page as markdown.
- `requestId` (string · uuid, required): Id of this request, for support and troubleshooting

**Errors**

- `400`: Bad request
- `401`: Unauthorized: missing or invalid API key
- `403`: Forbidden
- `404`: Not found
- `422`: Invalid request payload
